<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.77
Name: [4] Referencja do dokumentu recepty
Description: Szablon CDA dla referencji do zewnętrznego dokumentu recepty
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.77-2018-06-30T000000">
   <title>[4] Referencja do dokumentu recepty</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.77
Context: *[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.77']]
Item: (plCdaDrugPrescriptionExternalDocument)
-->

   <rule context="*[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.77']]"
         id="tmp-r-5606d7ef-970a-4a16-84dc-131aad61db2b">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.77-2018-06-30T000000.html"
              test="count(hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.77'])&gt;=1 and not(hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.77']/@nullFlavor)">(plCdaDrugPrescriptionExternalDocument): element hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.77'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.77-2018-06-30T000000.html"
              test="count(hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.77'])&lt;=1">(plCdaDrugPrescriptionExternalDocument): element hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.77'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.77
Context: *[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.77']]/hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.77']
Item: (plCdaDrugPrescriptionExternalDocument)
-->

   <rule context="*[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.77']]/hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.77']"
         id="tmp-r-12799dbe-82b2-44ec-9de5-963308620b48">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.77-2018-06-30T000000.html"
              test="string(@classCode)='DOC' or not(@classCode)">(plCdaDrugPrescriptionExternalDocument): Wartość dla @classCode MUSI wynosić 'DOC'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.77-2018-06-30T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(plCdaDrugPrescriptionExternalDocument): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.77-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.77'] | self::hl7:id | self::hl7:code[@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1' and @codeSystemName='LOINC' and @displayName='Prescription for medication Document'] | self::hl7:text | self::hl7:setId | self::hl7:versionNumber)])">(plCdaDrugPrescriptionExternalDocument): We fragmencie dokumentu zgodnym z szablonem "[4] Referencja do dokumentu recepty" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.77-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.77'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.77']/@nullFlavor)">(plCdaDrugPrescriptionExternalDocument): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.77'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.77-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.77'])&lt;=1">(plCdaDrugPrescriptionExternalDocument): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.77'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.77-2018-06-30T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(plCdaDrugPrescriptionExternalDocument): element hl7:id jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.77-2018-06-30T000000.html"
              test="count(hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(plCdaDrugPrescriptionExternalDocument): element hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.77-2018-06-30T000000.html"
              test="count(hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(plCdaDrugPrescriptionExternalDocument): element hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.77-2018-06-30T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaDrugPrescriptionExternalDocument): element hl7:text występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.77-2018-06-30T000000.html"
              test="count(hl7:setId)&lt;=1">(plCdaDrugPrescriptionExternalDocument): element hl7:setId występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.77-2018-06-30T000000.html"
              test="count(hl7:versionNumber)&lt;=1">(plCdaDrugPrescriptionExternalDocument): element hl7:versionNumber występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.77
Context: *[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.77']]/hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.77']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.77']
Item: (plCdaDrugPrescriptionExternalDocument)
-->

   <rule context="*[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.77']]/hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.77']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.77']"
         id="tmp-r-abccbef9-f9e2-4135-bd47-ed20158f9eed">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.77-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugPrescriptionExternalDocument): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.77-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.77'">(plCdaDrugPrescriptionExternalDocument): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.77'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.77
Context: *[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.77']]/hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.77']/hl7:id
Item: (plCdaDrugPrescriptionExternalDocument)
-->

   <rule context="*[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.77']]/hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.77']/hl7:id"
         id="tmp-r-38e4f5eb-371f-445c-a096-0c97a6cc986b">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.77-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugPrescriptionExternalDocument): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.77
Context: *[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.77']]/hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.77']/hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (plCdaDrugPrescriptionExternalDocument)
-->

   <rule context="*[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.77']]/hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.77']/hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-dc01406e-2c46-47f7-96cb-859d388fdb82">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.77-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugPrescriptionExternalDocument): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.77-2018-06-30T000000.html"
              test="@nullFlavor or (@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Prescription for medication Document' and @codeSystemName='LOINC')">(plCdaDrugPrescriptionExternalDocument): Wartość elementu MUSI wynosić code '57833-6' codeSystem '2.16.840.1.113883.6.1' displayName='Prescription for medication Document' codeSystemName='LOINC'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.77
Context: *[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.77']]/hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.77']/hl7:setId
Item: (plCdaDrugPrescriptionExternalDocument)
-->

   <rule context="*[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.77']]/hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.77']/hl7:setId"
         id="tmp-r-e5f6c7f1-9b22-4b12-b994-8d87cf903150">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.77-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugPrescriptionExternalDocument): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.77
Context: *[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.77']]/hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.77']/hl7:versionNumber
Item: (plCdaDrugPrescriptionExternalDocument)
-->

   <rule context="*[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.77']]/hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.77']/hl7:versionNumber"
         id="tmp-r-e83694e8-ec1a-429e-b400-823df42d876a">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.77-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='INT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugPrescriptionExternalDocument): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:INT", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.77-2018-06-30T000000.html"
              test="$digitok or @nullFlavor">(plCdaDrugPrescriptionExternalDocument): @value nie jest poprawną liczbą typu INT <value-of select="$theValue"/>
      </assert>
   </rule>
</pattern>
