<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.3.26
Name: [3] Sekcja główna skierowania na badania w związku z rozpoznanie choroby zawodowej
Description: Szablon struktury CDA dla sekcji głównej skierowania na badania w związku z chorobą zawodową
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.3.26-2018-06-30T000000">
   <title>[3] Sekcja główna skierowania na badania w związku z rozpoznanie choroby zawodowej</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.26
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.26']]
Item: (plCdaReferralDueToSuspectedOccupationalDiseasePrescriptionsSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.26']]"
         id="tmp-r-45f610ee-b8af-418b-b5da-284ffd18f8e0">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.26-2018-06-30T000000.html"
              test="count(hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.26'])&gt;=1 and not(hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.26']/@nullFlavor)">(plCdaReferralDueToSuspectedOccupationalDiseasePrescriptionsSection): element hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.26'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.26-2018-06-30T000000.html"
              test="count(hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.26'])&lt;=1">(plCdaReferralDueToSuspectedOccupationalDiseasePrescriptionsSection): element hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.26'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.26
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.26']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.26']
Item: (plCdaReferralDueToSuspectedOccupationalDiseasePrescriptionsSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.26']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.26']"
         id="tmp-r-9f963a36-ce17-442f-bc36-c9950c7601f9">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.26-2018-06-30T000000.html"
              test="string(@classCode)='DOCSECT' or not(@classCode)">(plCdaReferralDueToSuspectedOccupationalDiseasePrescriptionsSection): Wartość dla @classCode MUSI wynosić 'DOCSECT'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.26-2018-06-30T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(plCdaReferralDueToSuspectedOccupationalDiseasePrescriptionsSection): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.26-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.26'] | self::hl7:id | self::hl7:code[@code='57828-6' and @codeSystem='2.16.840.1.113883.6.1' and @codeSystemName='LOINC' and @displayName='Prescriptions'] | self::hl7:title | self::hl7:text | self::hl7:entry)])">(plCdaReferralDueToSuspectedOccupationalDiseasePrescriptionsSection): We fragmencie dokumentu zgodnym z szablonem "[3] Sekcja główna skierowania na badania w związku z rozpoznanie choroby zawodowej" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.26-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.26'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.26']/@nullFlavor)">(plCdaReferralDueToSuspectedOccupationalDiseasePrescriptionsSection): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.26'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.26-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.26'])&lt;=1">(plCdaReferralDueToSuspectedOccupationalDiseasePrescriptionsSection): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.26'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.26-2018-06-30T000000.html"
              test="count(hl7:id)&lt;=1">(plCdaReferralDueToSuspectedOccupationalDiseasePrescriptionsSection): element hl7:id występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.26-2018-06-30T000000.html"
              test="count(hl7:code[(@code='57828-6' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='57828-6' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(plCdaReferralDueToSuspectedOccupationalDiseasePrescriptionsSection): element hl7:code[(@code='57828-6' and @codeSystem='2.16.840.1.113883.6.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.26-2018-06-30T000000.html"
              test="count(hl7:code[(@code='57828-6' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(plCdaReferralDueToSuspectedOccupationalDiseasePrescriptionsSection): element hl7:code[(@code='57828-6' and @codeSystem='2.16.840.1.113883.6.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.26-2018-06-30T000000.html"
              test="count(hl7:title)&lt;=1">(plCdaReferralDueToSuspectedOccupationalDiseasePrescriptionsSection): element hl7:title występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.26-2018-06-30T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(plCdaReferralDueToSuspectedOccupationalDiseasePrescriptionsSection): element hl7:text jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.26-2018-06-30T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaReferralDueToSuspectedOccupationalDiseasePrescriptionsSection): element hl7:text występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.26-2018-06-30T000000.html"
              test="count(hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13'])&gt;=1 and not(hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13']/@nullFlavor)">(plCdaReferralDueToSuspectedOccupationalDiseasePrescriptionsSection): element hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.26-2018-06-30T000000.html"
              test="count(hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13'])&lt;=1">(plCdaReferralDueToSuspectedOccupationalDiseasePrescriptionsSection): element hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.13'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.26
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.26']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.26']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.26']
Item: (plCdaReferralDueToSuspectedOccupationalDiseasePrescriptionsSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.26']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.26']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.26']"
         id="tmp-r-68d9857e-bd9f-4f01-9032-4021153f4b31">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.26-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaReferralDueToSuspectedOccupationalDiseasePrescriptionsSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.26-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.3.26'">(plCdaReferralDueToSuspectedOccupationalDiseasePrescriptionsSection): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.3.26'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.26-2018-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaReferralDueToSuspectedOccupationalDiseasePrescriptionsSection): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.26
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.26']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.26']/hl7:id
Item: (plCdaReferralDueToSuspectedOccupationalDiseasePrescriptionsSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.26']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.26']/hl7:id"
         id="tmp-r-345b5b8b-20ff-4ab7-baa6-970d95abc113">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.26-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaReferralDueToSuspectedOccupationalDiseasePrescriptionsSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.26
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.26']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.26']/hl7:code[(@code='57828-6' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (plCdaReferralDueToSuspectedOccupationalDiseasePrescriptionsSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.26']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.26']/hl7:code[(@code='57828-6' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-67479b9c-e6f3-483b-8c88-d47179092037">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.26-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaReferralDueToSuspectedOccupationalDiseasePrescriptionsSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.26-2018-06-30T000000.html"
              test="@nullFlavor or (@code='57828-6' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Prescriptions' and @codeSystemName='LOINC')">(plCdaReferralDueToSuspectedOccupationalDiseasePrescriptionsSection): Wartość elementu MUSI wynosić code '57828-6' codeSystem '2.16.840.1.113883.6.1' displayName='Prescriptions' codeSystemName='LOINC'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.26
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.26']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.26']/hl7:title
Item: (plCdaReferralDueToSuspectedOccupationalDiseasePrescriptionsSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.26']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.26']/hl7:title"
         id="tmp-r-7402870a-c75e-4edd-8aa1-044fe791913a">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.26-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaReferralDueToSuspectedOccupationalDiseasePrescriptionsSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ST", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.26
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.26']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.26']/hl7:text
Item: (plCdaReferralDueToSuspectedOccupationalDiseasePrescriptionsSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.26']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.26']/hl7:text"
         id="tmp-r-54624a6b-7c2a-41d2-9a60-ddb884b8980a">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.26-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaReferralDueToSuspectedOccupationalDiseasePrescriptionsSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:SD.TEXT", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
