<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.36
Name: [4] Pielęgniarska skala oceny trzymania moczu
Description: Szablon CDA dla pielęgniarskiej skali oceny trzymania moczu
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000">
   <title>[4] Pielęgniarska skala oceny trzymania moczu</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.36
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]
Item: (plCdaNursingUrinaryContinenceAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]"
         id="tmp-r-f2de76d1-965e-42bd-9fba-e16f593f8f32">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36'])&gt;=1 and not(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/@nullFlavor)">(plCdaNursingUrinaryContinenceAssesmentEntry): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36'])&lt;=1">(plCdaNursingUrinaryContinenceAssesmentEntry): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.36
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']
Item: (plCdaNursingUrinaryContinenceAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']"
         id="tmp-r-3d5f3305-0d3c-4330-bc4e-a38122e1dc85">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(plCdaNursingUrinaryContinenceAssesmentEntry): Wartość dla @classCode MUSI wynosić 'OBS'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="string(@moodCode)='EVN'">(plCdaNursingUrinaryContinenceAssesmentEntry): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaNursingUrinaryContinenceAssesmentEntry): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.36'] | self::hl7:id | self::hl7:code[@code='SNMOCZDO'][@code='SNMOCZDO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.2' and @codeSystemName='Słownik nazw skal ocen pielęgniarskich' and @displayName='ADL - Samodzielność pacjenta w zakresie podstawowych czynności życiowych'] | self::hl7:code[@code='SNMOCZSO'][@code='SNMOCZSO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.2' and @codeSystemName='Słownik nazw skal ocen pielęgniarskich' and @displayName='Skala trzymania moczu - stany ostre'] | self::hl7:text | self::hl7:statusCode[@code='completed'] | self::hl7:effectiveTime | self::hl7:value[@xsi:type='CD' and @code='10025686' and @codeSystem='2.16.840.1.113883.6.97' and @codeSystemName='ICNP' and @displayName='Urinary incontinence'] | self::hl7:value[@codeSystem='2.16.840.1.113883.6.97'])])">(plCdaNursingUrinaryContinenceAssesmentEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pielęgniarska skala oceny trzymania moczu" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.36'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.36']/@nullFlavor)">(plCdaNursingUrinaryContinenceAssesmentEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.36'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.36'])&lt;=1">(plCdaNursingUrinaryContinenceAssesmentEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.36'] występuje zbyt często [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:code[@code='SNMOCZDO']|hl7:code[@code='SNMOCZSO'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="$elmcount&lt;=1">(plCdaNursingUrinaryContinenceAssesmentEntry): wybór (hl7:code[@code='SNMOCZDO'] lub hl7:code[@code='SNMOCZSO']) zawiera zbyt dużo elementów [min 1x]</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="count(hl7:code[@code='SNMOCZDO'])&lt;=1">(plCdaNursingUrinaryContinenceAssesmentEntry): element hl7:code[@code='SNMOCZDO'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="count(hl7:code[@code='SNMOCZSO'])&lt;=1">(plCdaNursingUrinaryContinenceAssesmentEntry): element hl7:code[@code='SNMOCZSO'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaNursingUrinaryContinenceAssesmentEntry): element hl7:text występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(plCdaNursingUrinaryContinenceAssesmentEntry): element hl7:statusCode występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(plCdaNursingUrinaryContinenceAssesmentEntry): element hl7:effectiveTime występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(plCdaNursingUrinaryContinenceAssesmentEntry): element hl7:value jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="count(hl7:value)&lt;=1">(plCdaNursingUrinaryContinenceAssesmentEntry): element hl7:value występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="count(hl7:value)&lt;=1">(plCdaNursingUrinaryContinenceAssesmentEntry): element hl7:value występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.36
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.36']
Item: (plCdaNursingUrinaryContinenceAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.36']"
         id="tmp-r-cf1b6f05-1239-4eda-b8e2-55b7ae2b2047">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingUrinaryContinenceAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.36'">(plCdaNursingUrinaryContinenceAssesmentEntry): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.36'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.36
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:id
Item: (plCdaNursingUrinaryContinenceAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:id"
         id="tmp-r-9b95cf5b-b2ff-42a1-b40d-3f2c2cdcfada">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingUrinaryContinenceAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.36
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:code[@code='SNMOCZDO']
Item: (plCdaNursingUrinaryContinenceAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:code[@code='SNMOCZDO']"
         id="tmp-r-e5e65171-33b9-4c8b-a06a-4edf60e6305e">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingUrinaryContinenceAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="@nullFlavor or (@code='SNMOCZDO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.2' and @displayName='ADL - Samodzielność pacjenta w zakresie podstawowych czynności życiowych' and @codeSystemName='Słownik nazw skal ocen pielęgniarskich')">(plCdaNursingUrinaryContinenceAssesmentEntry): Wartość elementu MUSI wynosić code 'SNMOCZDO' codeSystem '2.16.840.1.113883.3.4424.13.5.2' displayName='ADL - Samodzielność pacjenta w zakresie podstawowych czynności życiowych' codeSystemName='Słownik nazw skal ocen pielęgniarskich'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.36
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:code[@code='SNMOCZSO']
Item: (plCdaNursingUrinaryContinenceAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:code[@code='SNMOCZSO']"
         id="tmp-r-fce1ded7-f828-4401-8a43-6dc041b80905">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingUrinaryContinenceAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="@nullFlavor or (@code='SNMOCZSO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.2' and @displayName='Skala trzymania moczu - stany ostre' and @codeSystemName='Słownik nazw skal ocen pielęgniarskich')">(plCdaNursingUrinaryContinenceAssesmentEntry): Wartość elementu MUSI wynosić code 'SNMOCZSO' codeSystem '2.16.840.1.113883.3.4424.13.5.2' displayName='Skala trzymania moczu - stany ostre' codeSystemName='Słownik nazw skal ocen pielęgniarskich'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.36
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:statusCode
Item: (plCdaNursingUrinaryContinenceAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:statusCode"
         id="tmp-r-e4293c18-e577-4d58-b518-11a3ff891fd9">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingUrinaryContinenceAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="@nullFlavor or (@code='completed')">(plCdaNursingUrinaryContinenceAssesmentEntry): Wartość elementu MUSI wynosić code 'completed'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.36
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:effectiveTime
Item: (plCdaNursingUrinaryContinenceAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:effectiveTime"
         id="tmp-r-2d42b330-4f34-4ac1-bcf0-1797502e42fe">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingUrinaryContinenceAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:IVL_TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.36
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:value
Item: (plCdaNursingUrinaryContinenceAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:value"
         id="tmp-r-60a02f3d-c91c-4b5d-b023-77c4eb06fd57">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingUrinaryContinenceAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3')">(plCdaNursingUrinaryContinenceAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="string(@code)='10025686'">(plCdaNursingUrinaryContinenceAssesmentEntry): Wartość dla @code MUSI wynosić '10025686'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="not(@code) or (string-length(@code)&gt;0 and not(matches(@code,'\s')))">(plCdaNursingUrinaryContinenceAssesmentEntry): Atrybut @code MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="string(@codeSystem)='2.16.840.1.113883.6.97'">(plCdaNursingUrinaryContinenceAssesmentEntry): Wartość dla @codeSystem MUSI wynosić '2.16.840.1.113883.6.97'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="not(@codeSystem) or matches(@codeSystem,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaNursingUrinaryContinenceAssesmentEntry): Atrybut @codeSystem MUSI być typu 'oid'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="string(@codeSystemName)='ICNP'">(plCdaNursingUrinaryContinenceAssesmentEntry): Wartość dla @codeSystemName MUSI wynosić 'ICNP'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(plCdaNursingUrinaryContinenceAssesmentEntry): Atrybut @codeSystemName MUSI być typu 'st'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="string(@displayName)='Urinary incontinence'">(plCdaNursingUrinaryContinenceAssesmentEntry): Wartość dla @displayName MUSI wynosić 'Urinary incontinence'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(plCdaNursingUrinaryContinenceAssesmentEntry): Atrybut @displayName MUSI być typu 'st'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:qualifier[hl7:name/@code = 'NMOCZDO'] | self::hl7:qualifier[hl7:name/@code = 'NMOCZSO'])])">(plCdaNursingUrinaryContinenceAssesmentEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pielęgniarska skala oceny trzymania moczu" występują niedozwolone elementy.</assert>
      <let name="elmcount"
           value="count(hl7:qualifier[hl7:name/@code = 'NMOCZDO']|hl7:qualifier[hl7:name/@code = 'NMOCZSO'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="$elmcount&gt;=1">(plCdaNursingUrinaryContinenceAssesmentEntry): wybór (hl7:qualifier[hl7:name/@code = 'NMOCZDO'] lub hl7:qualifier[hl7:name/@code = 'NMOCZSO']) zawiera zbyt mało elementów [min 1x]</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="$elmcount&lt;=1">(plCdaNursingUrinaryContinenceAssesmentEntry): wybór (hl7:qualifier[hl7:name/@code = 'NMOCZDO'] lub hl7:qualifier[hl7:name/@code = 'NMOCZSO']) zawiera zbyt dużo elementów [min 1x]</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="count(hl7:qualifier[hl7:name/@code = 'NMOCZDO'])&lt;=1">(plCdaNursingUrinaryContinenceAssesmentEntry): element hl7:qualifier[hl7:name/@code = 'NMOCZDO'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="count(hl7:qualifier[hl7:name/@code = 'NMOCZSO'])&lt;=1">(plCdaNursingUrinaryContinenceAssesmentEntry): element hl7:qualifier[hl7:name/@code = 'NMOCZSO'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.36
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:value/hl7:qualifier[hl7:name/@code = 'NMOCZDO']
Item: (plCdaNursingUrinaryContinenceAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:value/hl7:qualifier[hl7:name/@code = 'NMOCZDO']"
         id="tmp-r-ed4b1389-a51c-42b4-92dd-17f5bc406859">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="count(hl7:name[(@code='NMOCZDO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.2')])&gt;=1 and not(hl7:name[(@code='NMOCZDO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.2')]/@nullFlavor)">(plCdaNursingUrinaryContinenceAssesmentEntry): element hl7:name[(@code='NMOCZDO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.2')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="count(hl7:name[(@code='NMOCZDO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.2')])&lt;=1">(plCdaNursingUrinaryContinenceAssesmentEntry): element hl7:name[(@code='NMOCZDO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.2')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="count(hl7:value)&lt;=1">(plCdaNursingUrinaryContinenceAssesmentEntry): element hl7:value występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.36
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:value/hl7:qualifier[hl7:name/@code = 'NMOCZDO']/hl7:name[(@code='NMOCZDO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.2')]
Item: (plCdaNursingUrinaryContinenceAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:value/hl7:qualifier[hl7:name/@code = 'NMOCZDO']/hl7:name[(@code='NMOCZDO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.2')]"
         id="tmp-r-d941a3d3-0927-4756-9b6a-4544006c23fd">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="@nullFlavor or (@code='NMOCZDO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.2' and @displayName='Stopień trzymania moczu' and @codeSystemName='Słownik wartości dla skali trzymania moczu w opiece domowej')">(plCdaNursingUrinaryContinenceAssesmentEntry): Wartość elementu MUSI wynosić code 'NMOCZDO' codeSystem '2.16.840.1.113883.3.4424.13.5.3.2' displayName='Stopień trzymania moczu' codeSystemName='Słownik wartości dla skali trzymania moczu w opiece domowej'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.36
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:value/hl7:qualifier[hl7:name/@code = 'NMOCZDO']/hl7:value
Item: (plCdaNursingUrinaryContinenceAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:value/hl7:qualifier[hl7:name/@code = 'NMOCZDO']/hl7:value"
         id="tmp-r-5730e33c-cf23-49ab-a4a8-8c3bb5f08807">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.56-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaNursingUrinaryContinenceAssesmentEntry): Wartość elementu MUSI wynosić StopienNietrzymaniaMoczuSo Stopień trzymania moczu w stanach ostrych (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.56-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaNursingUrinaryContinenceAssesmentEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości StopienNietrzymaniaMoczuSo Stopień trzymania moczu w stanach ostrych (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.36
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:value/hl7:qualifier[hl7:name/@code = 'NMOCZSO']
Item: (plCdaNursingUrinaryContinenceAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:value/hl7:qualifier[hl7:name/@code = 'NMOCZSO']"
         id="tmp-r-719a860f-cc63-42f0-b205-261d18d8127a">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="count(hl7:name[(@code='NMOCZSO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.3')])&gt;=1 and not(hl7:name[(@code='NMOCZSO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.3')]/@nullFlavor)">(plCdaNursingUrinaryContinenceAssesmentEntry): element hl7:name[(@code='NMOCZSO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.3')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="count(hl7:name[(@code='NMOCZSO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.3')])&lt;=1">(plCdaNursingUrinaryContinenceAssesmentEntry): element hl7:name[(@code='NMOCZSO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.3')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="count(hl7:value)&lt;=1">(plCdaNursingUrinaryContinenceAssesmentEntry): element hl7:value występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.36
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:value/hl7:qualifier[hl7:name/@code = 'NMOCZSO']/hl7:name[(@code='NMOCZSO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.3')]
Item: (plCdaNursingUrinaryContinenceAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:value/hl7:qualifier[hl7:name/@code = 'NMOCZSO']/hl7:name[(@code='NMOCZSO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.3')]"
         id="tmp-r-e3e211f8-795a-4aae-9739-c5ce0b508158">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="@nullFlavor or (@code='NMOCZSO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.3' and @displayName='Stopień trzymania moczu' and @codeSystemName='Słownik wartości dla skali trzymania moczu w stanach ostrych')">(plCdaNursingUrinaryContinenceAssesmentEntry): Wartość elementu MUSI wynosić code 'NMOCZSO' codeSystem '2.16.840.1.113883.3.4424.13.5.3.3' displayName='Stopień trzymania moczu' codeSystemName='Słownik wartości dla skali trzymania moczu w stanach ostrych'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.36
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:value/hl7:qualifier[hl7:name/@code = 'NMOCZSO']/hl7:value
Item: (plCdaNursingUrinaryContinenceAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:value/hl7:qualifier[hl7:name/@code = 'NMOCZSO']/hl7:value"
         id="tmp-r-108f0b27-901a-4267-b7d9-f5eedf50bb9d">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.56-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaNursingUrinaryContinenceAssesmentEntry): Wartość elementu MUSI wynosić StopienNietrzymaniaMoczuSo Stopień trzymania moczu w stanach ostrych (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.56-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaNursingUrinaryContinenceAssesmentEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości StopienNietrzymaniaMoczuSo Stopień trzymania moczu w stanach ostrych (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.36
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:value
Item: (plCdaNursingUrinaryContinenceAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:value"
         id="tmp-r-0d6bdde5-78fc-4d59-90d0-dda13c0a4593">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingUrinaryContinenceAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.73-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaNursingUrinaryContinenceAssesmentEntry): Wartość elementu MUSI wynosić CewnikUrostomia Cewnik lub urostomia (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.73-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaNursingUrinaryContinenceAssesmentEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości CewnikUrostomia Cewnik lub urostomia (DYNAMICZNE)</assert>
   </rule>
</pattern>
