<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.47
Name: [4] Wykonane procedury podczas operacji
Description: Szablon CDA listą wykonanych procedur podczas operacji
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000">
   <title>[4] Wykonane procedury podczas operacji</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.47
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]
Item: (plCdaSurgicalProcedureEntry)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]"
         id="tmp-r-a9d9cd05-90b6-49ac-9e22-6fa119f1c0f3">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="count(hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47'])&gt;=1 and not(hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/@nullFlavor)">(plCdaSurgicalProcedureEntry): element hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="count(hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47'])&lt;=1">(plCdaSurgicalProcedureEntry): element hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.47
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']
Item: (plCdaSurgicalProcedureEntry)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']"
         id="tmp-r-87ae0c50-6353-46f2-9343-e09796438aa1">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="string(@classCode)='PROC'">(plCdaSurgicalProcedureEntry): Wartość dla @classCode MUSI wynosić 'PROC'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="string(@moodCode)='EVN'">(plCdaSurgicalProcedureEntry): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaSurgicalProcedureEntry): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(plCdaSurgicalProcedureEntry): Atrybut @negationInd MUSI być typu 'bl'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.47'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.47']/@nullFlavor)">(plCdaSurgicalProcedureEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.47'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.47'])&lt;=1">(plCdaSurgicalProcedureEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.47'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor])&gt;=1 ">(plCdaSurgicalProcedureEntry): element hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor] jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor])&lt;=1">(plCdaSurgicalProcedureEntry): element hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaSurgicalProcedureEntry): element hl7:text występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(plCdaSurgicalProcedureEntry): element hl7:statusCode występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(plCdaSurgicalProcedureEntry): element hl7:effectiveTime występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="count(hl7:priorityCode)&lt;=1">(plCdaSurgicalProcedureEntry): element hl7:priorityCode występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="count(hl7:languageCode)&lt;=1">(plCdaSurgicalProcedureEntry): element hl7:languageCode występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="count(hl7:subject[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.15'])&lt;=1">(plCdaSurgicalProcedureEntry): element hl7:subject[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.15'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.47
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.47']
Item: (plCdaSurgicalProcedureEntry)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.47']"
         id="tmp-r-00da4603-40a0-4afd-9c34-eba26b3b0aeb">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaSurgicalProcedureEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.47'">(plCdaSurgicalProcedureEntry): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.47'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.47
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:id
Item: (plCdaSurgicalProcedureEntry)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:id"
         id="tmp-r-58854e7f-03ba-4478-aa1d-2d1dc26e7769">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaSurgicalProcedureEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.47
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]
Item: (plCdaSurgicalProcedureEntry)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.6' or @nullFlavor]"
         id="tmp-r-553a388f-ed48-4a3b-9c3f-f870014677f4">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaSurgicalProcedureEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.3.4424.11.2.6')">(plCdaSurgicalProcedureEntry): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.3.4424.11.2.6'.</assert>
      <report role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="hl7:translation/@codeSystem='2.16.840.1.113883.3.4424.11.2.6'">(plCdaSurgicalProcedureEntry):  Nie można użyć kodu ze słownika ICD-9 PL do kodowania tłumaczenia kodu zabiegu/procedury. </report>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.47
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:statusCode
Item: (plCdaSurgicalProcedureEntry)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:statusCode"
         id="tmp-r-a33daded-585f-468c-b8bd-0feab090101e">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaSurgicalProcedureEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(plCdaSurgicalProcedureEntry): Wartość elementu MUSI wynosić ActStatus (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.15933-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaSurgicalProcedureEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości ActStatus (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.47
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:effectiveTime
Item: (plCdaSurgicalProcedureEntry)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:effectiveTime"
         id="tmp-r-763020ce-64bf-40c3-b620-5fa02cb8e2c9">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaSurgicalProcedureEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:IVL_TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.47
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:priorityCode
Item: (plCdaSurgicalProcedureEntry)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:priorityCode"
         id="tmp-r-3ee89adc-e8c9-4327-b82d-a0d22827cf3c">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaSurgicalProcedureEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16866-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaSurgicalProcedureEntry): Wartość elementu MUSI wynosić ActPriority (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.16866-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaSurgicalProcedureEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości ActPriority (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.47
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:languageCode
Item: (plCdaSurgicalProcedureEntry)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:languageCode"
         id="tmp-r-8dd0e063-e595-4382-a7d6-25ce3c2dc16b">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaSurgicalProcedureEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.25-DYNAMIC.xml')/*/valueSet/conceptList/concept[@code = $theCode] or completeCodeSystem)">(plCdaSurgicalProcedureEntry): Wartość elementu MUSI wynosić JezykDokumentu Język dokumentu (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.25-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaSurgicalProcedureEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości JezykDokumentu Język dokumentu (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.47
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:methodCode
Item: (plCdaSurgicalProcedureEntry)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:methodCode"
         id="tmp-r-0b60a055-4613-492a-be7a-2d19d15adb0b">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaSurgicalProcedureEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.1065')">(plCdaSurgicalProcedureEntry): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.5.1065'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.47
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:approachSiteCode
Item: (plCdaSurgicalProcedureEntry)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:approachSiteCode"
         id="tmp-r-51fd3bba-8ca6-445a-bc90-968db92fb4a0">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaSurgicalProcedureEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.1052')">(plCdaSurgicalProcedureEntry): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.5.1052'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.47
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:targetSiteCode
Item: (plCdaSurgicalProcedureEntry)
-->

   <rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:targetSiteCode"
         id="tmp-r-f66c14af-54f2-4799-9b6f-e845e9974dce">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaSurgicalProcedureEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.47-2018-06-30T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.5.1052')">(plCdaSurgicalProcedureEntry): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.5.1052'.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.47
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:subject[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.15']
Item: (plCdaSurgicalProcedureEntry)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.47
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:specimen[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.16']
Item: (plCdaSurgicalProcedureEntry)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.47
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:performer[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.17']
Item: (plCdaSurgicalProcedureEntry)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.47
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.18']
Item: (plCdaSurgicalProcedureEntry)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.47
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:informant[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.14']
Item: (plCdaSurgicalProcedureEntry)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.47
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:participant[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.19']
Item: (plCdaSurgicalProcedureEntry)
-->
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.47
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:entryRelationship
Item: (plCdaSurgicalProcedureEntry)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.47
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:reference
Item: (plCdaSurgicalProcedureEntry)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.47
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.47']/hl7:precondition
Item: (plCdaSurgicalProcedureEntry)
-->
</pattern>
