<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.7
Name: [4] Przedmiot zlecenia na wyroby medyczne
Description: Szablon CDA dla przedmiotu zlecenia na wyroby medyczne
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.7-2018-06-30T000000">
   <title>[4] Przedmiot zlecenia na wyroby medyczne</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.7
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']]
Item: (plCdaMedicalEquipmentSupplyEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']]"
         id="tmp-r-0d2a7a34-4e31-4e76-aec8-9b4e7971d5e4">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2018-06-30T000000.html"
              test="count(hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7'])&lt;=1">(plCdaMedicalEquipmentSupplyEntry): element hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.7
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']
Item: (plCdaMedicalEquipmentSupplyEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']"
         id="tmp-r-006afb31-e955-4c03-a2a5-4639899719b9">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2018-06-30T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(plCdaMedicalEquipmentSupplyEntry): Atrybut @typeCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.7'] | self::hl7:supply[@classCode='SPLY' and @moodCode='RQO'])])">(plCdaMedicalEquipmentSupplyEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Przedmiot zlecenia na wyroby medyczne" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.7'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.7']/@nullFlavor)">(plCdaMedicalEquipmentSupplyEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.7'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.7'])&lt;=1">(plCdaMedicalEquipmentSupplyEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.7'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2018-06-30T000000.html"
              test="count(hl7:supply)&gt;=1 and not(hl7:supply/@nullFlavor)">(plCdaMedicalEquipmentSupplyEntry): element hl7:supply jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2018-06-30T000000.html"
              test="count(hl7:supply)&lt;=1">(plCdaMedicalEquipmentSupplyEntry): element hl7:supply występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.7
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.7']
Item: (plCdaMedicalEquipmentSupplyEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.7']"
         id="tmp-r-7652168e-0d5a-4731-ba3e-6656d5c5303a">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.7'">(plCdaMedicalEquipmentSupplyEntry): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.7'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2018-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaMedicalEquipmentSupplyEntry): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.7
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']/hl7:supply
Item: (plCdaMedicalEquipmentSupplyEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']/hl7:supply"
         id="tmp-r-d3e02b34-c50f-48ff-90d1-d2dd2ef6dac9">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2018-06-30T000000.html"
              test="string(@classCode)='SPLY'">(plCdaMedicalEquipmentSupplyEntry): Wartość dla @classCode MUSI wynosić 'SPLY'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2018-06-30T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaMedicalEquipmentSupplyEntry): Atrybut @classCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2018-06-30T000000.html"
              test="string(@moodCode)='RQO'">(plCdaMedicalEquipmentSupplyEntry): Wartość dla @moodCode MUSI wynosić 'RQO'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2018-06-30T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaMedicalEquipmentSupplyEntry): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:id | self::hl7:text | self::hl7:effectiveTime[@xsi:type='IVL_TS'] | self::hl7:quantity[@value] | self::hl7:product)])">(plCdaMedicalEquipmentSupplyEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Przedmiot zlecenia na wyroby medyczne" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2018-06-30T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaMedicalEquipmentSupplyEntry): element hl7:text występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2018-06-30T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(plCdaMedicalEquipmentSupplyEntry): element hl7:effectiveTime występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2018-06-30T000000.html"
              test="count(hl7:quantity)&gt;=1 and not(hl7:quantity/@nullFlavor)">(plCdaMedicalEquipmentSupplyEntry): element hl7:quantity jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2018-06-30T000000.html"
              test="count(hl7:quantity)&lt;=1">(plCdaMedicalEquipmentSupplyEntry): element hl7:quantity występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2018-06-30T000000.html"
              test="count(hl7:product)&gt;=1 and not(hl7:product/@nullFlavor)">(plCdaMedicalEquipmentSupplyEntry): element hl7:product jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2018-06-30T000000.html"
              test="count(hl7:product)&lt;=1">(plCdaMedicalEquipmentSupplyEntry): element hl7:product występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.7
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']/hl7:supply/hl7:id
Item: (plCdaMedicalEquipmentSupplyEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']/hl7:supply/hl7:id"
         id="tmp-r-3c0c4547-ca4c-4e55-8fd1-cae24e38cf28">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMedicalEquipmentSupplyEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.7
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']/hl7:supply/hl7:effectiveTime
Item: (plCdaMedicalEquipmentSupplyEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']/hl7:supply/hl7:effectiveTime"
         id="tmp-r-cdbe1387-611d-42d3-902c-decab979909b">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMedicalEquipmentSupplyEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:IVL_TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2018-06-30T000000.html"
              test="@nullFlavor or ($xsiLocalName='IVL_TS' and $xsiLocalNS='urn:hl7-org:v3')">(plCdaMedicalEquipmentSupplyEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "IVL_TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2018-06-30T000000.html"
              test="not(@xsi:type) or string-length(@xsi:type)&gt;0">(plCdaMedicalEquipmentSupplyEntry): Atrybut @xsi:type MUSI być typu 'st'</assert>
      <report role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2018-06-30T000000.html"
              test="(number(hl7:high/@value)-number(hl7:low/@value))&gt;2">(plCdaMedicalEquipmentSupplyEntry):  Zlecenie na zaopatrzenie można wystawić maksymalnie na trzy mięsiące </report>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:low | self::hl7:high)])">(plCdaMedicalEquipmentSupplyEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Przedmiot zlecenia na wyroby medyczne" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2018-06-30T000000.html"
              test="count(hl7:low)&gt;=1 and not(hl7:low/@nullFlavor)">(plCdaMedicalEquipmentSupplyEntry): element hl7:low jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2018-06-30T000000.html"
              test="count(hl7:low)&lt;=1">(plCdaMedicalEquipmentSupplyEntry): element hl7:low występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2018-06-30T000000.html"
              test="count(hl7:high)&gt;=1 ">(plCdaMedicalEquipmentSupplyEntry): element hl7:high jest required [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2018-06-30T000000.html"
              test="count(hl7:high)&lt;=1">(plCdaMedicalEquipmentSupplyEntry): element hl7:high występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.7
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']/hl7:supply/hl7:effectiveTime/hl7:low
Item: (plCdaMedicalEquipmentSupplyEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']/hl7:supply/hl7:effectiveTime/hl7:low"
         id="tmp-r-0e35a4be-c589-48dc-b000-28f3243756ff">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVXB_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMedicalEquipmentSupplyEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:IVXB_TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVXB_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2018-06-30T000000.html"
              test="concat(substring(@value,1,4),'-',substring(@value,5,2),'-01') castable as xs:date">(plCdaMedicalEquipmentSupplyEntry): Pierwsze 6 cyfr daty powinno być w formacie YYYYMM</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.7
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']/hl7:supply/hl7:effectiveTime/hl7:high
Item: (plCdaMedicalEquipmentSupplyEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']/hl7:supply/hl7:effectiveTime/hl7:high"
         id="tmp-r-d08cfbd9-9fc1-4c5d-bd0a-acbe4d61d8f7">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVXB_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMedicalEquipmentSupplyEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:IVXB_TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVXB_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2018-06-30T000000.html"
              test="concat(substring(@value,1,4),'-',substring(@value,5,2),'-01') castable as xs:date">(plCdaMedicalEquipmentSupplyEntry): Pierwsze 6 cyfr daty powinno być w formacie YYYYMM</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.7
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']/hl7:supply/hl7:quantity
Item: (plCdaMedicalEquipmentSupplyEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']/hl7:supply/hl7:quantity"
         id="tmp-r-230e789a-8c9c-4d79-be20-f5cab7a9aedf">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PQ' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMedicalEquipmentSupplyEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:PQ", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2018-06-30T000000.html"
              test="$digitok or @nullFlavor">(plCdaMedicalEquipmentSupplyEntry): @value nie jest poprawną liczbą typu PQ <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="doc('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2018-06-30T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(plCdaMedicalEquipmentSupplyEntry): value/@unit (PQ) MUSI mieć poprawną jednostkę UCUM (<value-of select="$UCUMtest"/>).</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2018-06-30T000000.html"
              test="@value">(plCdaMedicalEquipmentSupplyEntry): atrybut @value MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2018-06-30T000000.html"
              test="not(@value) or matches(string(@value), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')">(plCdaMedicalEquipmentSupplyEntry): Atrybut @value nie jest porawną liczbą typu real <value-of select="$theValue"/>
      </assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2018-06-30T000000.html"
              test="not(@unit)">(plCdaMedicalEquipmentSupplyEntry): atrybut @unit NIE MOŻE wystąpić.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.7
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']/hl7:supply/hl7:product
Item: (plCdaMedicalEquipmentSupplyEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']/hl7:supply/hl7:product"
         id="tmp-r-36aced8a-34dd-452f-8943-edcfe3d97fd5">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2018-06-30T000000.html"
              test="string(@typeCode)='PRD' or not(@typeCode)">(plCdaMedicalEquipmentSupplyEntry): Wartość dla @typeCode MUSI wynosić 'PRD'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:manufacturedProduct)])">(plCdaMedicalEquipmentSupplyEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Przedmiot zlecenia na wyroby medyczne" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2018-06-30T000000.html"
              test="count(hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.43']]])&gt;=1 and not(hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.43']]]/@nullFlavor)">(plCdaMedicalEquipmentSupplyEntry): element hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.43']]] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2018-06-30T000000.html"
              test="count(hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.43']]])&lt;=1">(plCdaMedicalEquipmentSupplyEntry): element hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.43']]] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.7
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']/hl7:supply/hl7:product/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.43']]]
Item: (plCdaMedicalEquipmentSupplyEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']/hl7:supply/hl7:product/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.43']]]"
         id="tmp-r-b7ae776e-373e-41cc-b0dd-2e13723a95e9">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2018-06-30T000000.html"
              test="string(@classCode)='MANU' or not(@classCode)">(plCdaMedicalEquipmentSupplyEntry): Wartość dla @classCode MUSI wynosić 'MANU'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:id | self::hl7:manufacturedMaterial)])">(plCdaMedicalEquipmentSupplyEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Przedmiot zlecenia na wyroby medyczne" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2018-06-30T000000.html"
              test="count(hl7:manufacturedMaterial[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.43']])&gt;=1 and not(hl7:manufacturedMaterial[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.43']]/@nullFlavor)">(plCdaMedicalEquipmentSupplyEntry): element hl7:manufacturedMaterial[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.43']] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2018-06-30T000000.html"
              test="count(hl7:manufacturedMaterial[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.43']])&lt;=1">(plCdaMedicalEquipmentSupplyEntry): element hl7:manufacturedMaterial[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.43']] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.7
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']/hl7:supply/hl7:product/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.43']]]/hl7:id
Item: (plCdaMedicalEquipmentSupplyEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']/hl7:supply/hl7:product/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.43']]]/hl7:id"
         id="tmp-r-efcbc136-ea06-4b8b-ab23-08169ec92821">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMedicalEquipmentSupplyEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.7
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']/hl7:supply/hl7:product/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.43']]]/hl7:manufacturedMaterial[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.43']]
Item: (plCdaMedicalEquipmentSupplyEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']/hl7:supply/hl7:product/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.43']]]/hl7:manufacturedMaterial[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.43']]"
         id="tmp-r-da21f2b0-e4b9-463e-b2b6-94a2a8c3a510">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2018-06-30T000000.html"
              test="string(@classCode)='MMAT' or not(@classCode)">(plCdaMedicalEquipmentSupplyEntry): Wartość dla @classCode MUSI wynosić 'MMAT'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2018-06-30T000000.html"
              test="string(@determinerCode)='KIND' or not(@determinerCode)">(plCdaMedicalEquipmentSupplyEntry): Wartość dla @determinerCode MUSI wynosić 'KIND'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:code[@code and @displayName][@codeSystem='2.16.840.1.113883.3.4424.11.1.43'])])">(plCdaMedicalEquipmentSupplyEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Przedmiot zlecenia na wyroby medyczne" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2018-06-30T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.43'])&gt;=1 and not(hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.43']/@nullFlavor)">(plCdaMedicalEquipmentSupplyEntry): element hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.43'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2018-06-30T000000.html"
              test="count(hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.43'])&lt;=1">(plCdaMedicalEquipmentSupplyEntry): element hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.43'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.7
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']/hl7:supply/hl7:product/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.43']]]/hl7:manufacturedMaterial[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.43']]/hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.43']
Item: (plCdaMedicalEquipmentSupplyEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.7']/hl7:supply/hl7:product/hl7:manufacturedProduct[hl7:manufacturedMaterial[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.43']]]/hl7:manufacturedMaterial[hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.43']]/hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.1.43']"
         id="tmp-r-75ab814a-2ff0-40c8-a75c-e0d00dd0f069">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaMedicalEquipmentSupplyEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2018-06-30T000000.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.3.4424.11.1.43')">(plCdaMedicalEquipmentSupplyEntry): Wartość elementu MUSI wynosić codeSystem '2.16.840.1.113883.3.4424.11.1.43'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2018-06-30T000000.html"
              test="@code">(plCdaMedicalEquipmentSupplyEntry): atrybut @code MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2018-06-30T000000.html"
              test="not(@code) or (string-length(@code)&gt;0 and not(matches(@code,'\s')))">(plCdaMedicalEquipmentSupplyEntry): Atrybut @code MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2018-06-30T000000.html"
              test="@displayName">(plCdaMedicalEquipmentSupplyEntry): atrybut @displayName MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.7-2018-06-30T000000.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(plCdaMedicalEquipmentSupplyEntry): Atrybut @displayName MUSI być typu 'st'</assert>
   </rule>
</pattern>
