<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.72
Name: [4] Zapotrzebowanie na import docelowy leku
Description: Szablon CDA danych dokumentu zapotrzebowania na import docelowy leku
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.72-2018-06-30T000000">
   <title>[4] Zapotrzebowanie na import docelowy leku</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.72
Context: *[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.72']]
Item: (plCdaImportedDrugRequest)
-->

   <rule context="*[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.72']]"
         id="tmp-r-74cb7979-9bd6-4887-9439-c76cb0fb914c">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.72-2018-06-30T000000.html"
              test="count(hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.72'])&gt;=1 and not(hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.72']/@nullFlavor)">(plCdaImportedDrugRequest): element hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.72'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.72-2018-06-30T000000.html"
              test="count(hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.72'])&lt;=1">(plCdaImportedDrugRequest): element hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.72'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.72
Context: *[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.72']]/hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.72']
Item: (plCdaImportedDrugRequest)
-->

   <rule context="*[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.72']]/hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.72']"
         id="tmp-r-a6864b9d-392f-41c9-9639-7303e7daa85b">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.72-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.72'] | self::hl7:id[@root='2.16.840.1.113883.3.4424.8.11' and @extension])])">(plCdaImportedDrugRequest): We fragmencie dokumentu zgodnym z szablonem "[4] Zapotrzebowanie na import docelowy leku" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.72-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.72'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.72']/@nullFlavor)">(plCdaImportedDrugRequest): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.72'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.72-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.72'])&lt;=1">(plCdaImportedDrugRequest): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.72'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.72-2018-06-30T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.3.4424.8.11'])&gt;=1 and not(hl7:id[@root='2.16.840.1.113883.3.4424.8.11']/@nullFlavor)">(plCdaImportedDrugRequest): element hl7:id[@root='2.16.840.1.113883.3.4424.8.11'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.72-2018-06-30T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.3.4424.8.11'])&lt;=1">(plCdaImportedDrugRequest): element hl7:id[@root='2.16.840.1.113883.3.4424.8.11'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.72
Context: *[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.72']]/hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.72']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.72']
Item: (plCdaImportedDrugRequest)
-->

   <rule context="*[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.72']]/hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.72']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.72']"
         id="tmp-r-3183c165-cfd1-4953-af5d-4907e85d3ee1">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.72-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaImportedDrugRequest): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.72-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.72'">(plCdaImportedDrugRequest): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.72'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.72-2018-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaImportedDrugRequest): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.72
Context: *[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.72']]/hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.72']/hl7:id[@root='2.16.840.1.113883.3.4424.8.11']
Item: (plCdaImportedDrugRequest)
-->

   <rule context="*[hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.72']]/hl7:externalDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.72']/hl7:id[@root='2.16.840.1.113883.3.4424.8.11']"
         id="tmp-r-cd8099f3-5803-4fa8-8c11-09d75fa482a5">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.72-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.8.11'">(plCdaImportedDrugRequest): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.8.11'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.72-2018-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaImportedDrugRequest): Atrybut @root MUSI być typu 'oid'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.72-2018-06-30T000000.html"
              test="@extension">(plCdaImportedDrugRequest): atrybut @extension MUSI wystąpić.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.72-2018-06-30T000000.html"
              test="not(@extension) or string-length(@extension)&gt;0">(plCdaImportedDrugRequest): Atrybut @extension MUSI być typu 'st'</assert>
   </rule>
</pattern>
