<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.10
Name: [4] Przedmiot skierowania na pielęgniarską opiekę długoterminową
Description: Szablon CDA dla przedmiotu skierowania na pielęgniarską opiekę długoterminową
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.10-2018-06-30T000000">
   <title>[4] Przedmiot skierowania na pielęgniarską opiekę długoterminową</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.10
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.10']]
Item: (plCdaLongtermNursingRequestedEncounterEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.10']]"
         id="tmp-r-e327e82e-c607-4b92-a42e-25e1390e4a31">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.10-2018-06-30T000000.html"
              test="count(hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.10'])&lt;=1">(plCdaLongtermNursingRequestedEncounterEntry): element hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.10'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.10
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.10']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.10']
Item: (plCdaLongtermNursingRequestedEncounterEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.10']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.10']"
         id="tmp-r-e8761a78-6f68-4666-9fc4-b196b93fc173">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.10-2018-06-30T000000.html"
              test="not(@typeCode) or (string-length(@typeCode)&gt;0 and not(matches(@typeCode,'\s')))">(plCdaLongtermNursingRequestedEncounterEntry): Atrybut @typeCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.10-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.10'] | self::hl7:encounter[@classCode='ENC' and @moodCode='RQO'])])">(plCdaLongtermNursingRequestedEncounterEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Przedmiot skierowania na pielęgniarską opiekę długoterminową" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.10-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.10'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.10']/@nullFlavor)">(plCdaLongtermNursingRequestedEncounterEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.10'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.10-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.10'])&lt;=1">(plCdaLongtermNursingRequestedEncounterEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.10'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.10-2018-06-30T000000.html"
              test="count(hl7:encounter[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.30-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.30-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]])&gt;=1 and not(hl7:encounter[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.30-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.30-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]]/@nullFlavor)">(plCdaLongtermNursingRequestedEncounterEntry): element hl7:encounter[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.30-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.30-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.10-2018-06-30T000000.html"
              test="count(hl7:encounter[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.30-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.30-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]])&lt;=1">(plCdaLongtermNursingRequestedEncounterEntry): element hl7:encounter[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.30-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.30-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.10
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.10']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.10']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.10']
Item: (plCdaLongtermNursingRequestedEncounterEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.10']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.10']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.10']"
         id="tmp-r-1ece76de-3d91-4121-a458-a452c0eadedd">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.10-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.10'">(plCdaLongtermNursingRequestedEncounterEntry): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.10'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.10-2018-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaLongtermNursingRequestedEncounterEntry): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.10
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.10']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.10']/hl7:encounter[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.30-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.30-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]]
Item: (plCdaLongtermNursingRequestedEncounterEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.10']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.10']/hl7:encounter[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.30-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.30-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]]"
         id="tmp-r-3cb6163d-ba93-4525-aed6-1ee20b9b509d">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.10-2018-06-30T000000.html"
              test="string(@classCode)='ENC'">(plCdaLongtermNursingRequestedEncounterEntry): Wartość dla @classCode MUSI wynosić 'ENC'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.10-2018-06-30T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaLongtermNursingRequestedEncounterEntry): Atrybut @classCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.10-2018-06-30T000000.html"
              test="string(@moodCode)='RQO'">(plCdaLongtermNursingRequestedEncounterEntry): Wartość dla @moodCode MUSI wynosić 'RQO'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.10-2018-06-30T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaLongtermNursingRequestedEncounterEntry): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.10-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:id | self::hl7:code[@codeSystem='2.16.840.1.113883.3.4424.11.2.4'] | self::hl7:text | self::hl7:effectiveTime | self::hl7:priorityCode[@codeSystem='2.16.840.1.113883.5.7'])])">(plCdaLongtermNursingRequestedEncounterEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Przedmiot skierowania na pielęgniarską opiekę długoterminową" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.10-2018-06-30T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.30-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.30-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.30-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.30-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(plCdaLongtermNursingRequestedEncounterEntry): element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.30-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.30-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.10-2018-06-30T000000.html"
              test="count(hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.30-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.30-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(plCdaLongtermNursingRequestedEncounterEntry): element hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.30-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.30-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.10-2018-06-30T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaLongtermNursingRequestedEncounterEntry): element hl7:text występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.10-2018-06-30T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(plCdaLongtermNursingRequestedEncounterEntry): element hl7:effectiveTime występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.10-2018-06-30T000000.html"
              test="count(hl7:priorityCode)&lt;=1">(plCdaLongtermNursingRequestedEncounterEntry): element hl7:priorityCode występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.10
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.10']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.10']/hl7:encounter[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.30-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.30-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]]/hl7:id
Item: (plCdaLongtermNursingRequestedEncounterEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.10']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.10']/hl7:encounter[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.30-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.30-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]]/hl7:id"
         id="tmp-r-36739438-f821-4afc-98a0-094fbdc45b11">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.10-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaLongtermNursingRequestedEncounterEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.10
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.10']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.10']/hl7:encounter[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.30-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.30-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.30-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.30-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (plCdaLongtermNursingRequestedEncounterEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.10']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.10']/hl7:encounter[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.30-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.30-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]]/hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.30-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.30-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-8efb44c0-f4b5-4259-b794-e5f0f1d21c9a">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.10-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaLongtermNursingRequestedEncounterEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.10-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.30-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaLongtermNursingRequestedEncounterEntry): Wartość elementu MUSI wynosić SpecjalnoscKomorkiOrganizacyjnejDlaPielegniarskiejOpiekiDlugoterminowej Specjalność komórki organizacyjnej dla pielęgniarskiej opieki długoterminowej (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.30-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.10-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaLongtermNursingRequestedEncounterEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości SpecjalnoscKomorkiOrganizacyjnejDlaPielegniarskiejOpiekiDlugoterminowej Specjalność komórki organizacyjnej dla pielęgniarskiej opieki długoterminowej (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.10
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.10']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.10']/hl7:encounter[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.30-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.30-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]]/hl7:effectiveTime
Item: (plCdaLongtermNursingRequestedEncounterEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.10']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.10']/hl7:encounter[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.30-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.30-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]]/hl7:effectiveTime"
         id="tmp-r-751cf2e3-ae95-45ec-b4d5-dde5e94107fe">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.10-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaLongtermNursingRequestedEncounterEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:IVL_TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.10
Context: *[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.10']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.10']/hl7:encounter[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.30-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.30-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]]/hl7:priorityCode
Item: (plCdaLongtermNursingRequestedEncounterEntry)
-->

   <rule context="*[hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.10']]/hl7:entry[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.10']/hl7:encounter[hl7:code[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.30-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.30-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]]/hl7:priorityCode"
         id="tmp-r-1f63146a-6da8-414f-9fb6-7bebaf4762ab">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.10-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaLongtermNursingRequestedEncounterEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.10-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.26-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaLongtermNursingRequestedEncounterEntry): Wartość elementu MUSI wynosić PilnyLubZwykly Określenie trybu realizacji jako pilny lub zwykły (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.26-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.10-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaLongtermNursingRequestedEncounterEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości PilnyLubZwykly Określenie trybu realizacji jako pilny lub zwykły (DYNAMICZNE)</assert>
   </rule>
</pattern>
