<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.3.25
Name: [3] Sekcja informacji o czynnikach narażenia zawodowego
Description: Szablon struktury CDA dla sekcji informacji o czynnikach narażenia zawodowego
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.3.25-2018-06-30T000000">
   <title>[3] Sekcja informacji o czynnikach narażenia zawodowego</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.25
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']]
Item: (plCdaHistoryOfOccupationalExposureSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']]"
         id="tmp-r-8be144e1-e72b-4024-a1d7-15f9f6d088b9">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.25-2018-06-30T000000.html"
              test="count(hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25'])&gt;=1 and not(hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']/@nullFlavor)">(plCdaHistoryOfOccupationalExposureSection): element hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.25-2018-06-30T000000.html"
              test="count(hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25'])&lt;=1">(plCdaHistoryOfOccupationalExposureSection): element hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.25
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']
Item: (plCdaHistoryOfOccupationalExposureSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']"
         id="tmp-r-24dd9671-8fa9-4639-b320-1e97e05c2bec">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.25-2018-06-30T000000.html"
              test="string(@classCode)='DOCSECT' or not(@classCode)">(plCdaHistoryOfOccupationalExposureSection): Wartość dla @classCode MUSI wynosić 'DOCSECT'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.25-2018-06-30T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(plCdaHistoryOfOccupationalExposureSection): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.25-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.25'] | self::hl7:id | self::hl7:code[@code='10161-8' and @codeSystem='2.16.840.1.113883.6.1' and @codeSystemName='LOINC' and @displayName='History of occupational exposure'] | self::hl7:title['Czynniki narażenia zawodowego'] | self::hl7:text)])">(plCdaHistoryOfOccupationalExposureSection): We fragmencie dokumentu zgodnym z szablonem "[3] Sekcja informacji o czynnikach narażenia zawodowego" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.25-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.25'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.25']/@nullFlavor)">(plCdaHistoryOfOccupationalExposureSection): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.25'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.25-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.25'])&lt;=1">(plCdaHistoryOfOccupationalExposureSection): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.25'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.25-2018-06-30T000000.html"
              test="count(hl7:id)&lt;=1">(plCdaHistoryOfOccupationalExposureSection): element hl7:id występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.25-2018-06-30T000000.html"
              test="count(hl7:code[(@code='10161-8' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='10161-8' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(plCdaHistoryOfOccupationalExposureSection): element hl7:code[(@code='10161-8' and @codeSystem='2.16.840.1.113883.6.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.25-2018-06-30T000000.html"
              test="count(hl7:code[(@code='10161-8' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(plCdaHistoryOfOccupationalExposureSection): element hl7:code[(@code='10161-8' and @codeSystem='2.16.840.1.113883.6.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.25-2018-06-30T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(plCdaHistoryOfOccupationalExposureSection): element hl7:title jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.25-2018-06-30T000000.html"
              test="count(hl7:title)&lt;=1">(plCdaHistoryOfOccupationalExposureSection): element hl7:title występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.25-2018-06-30T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(plCdaHistoryOfOccupationalExposureSection): element hl7:text jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.25-2018-06-30T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaHistoryOfOccupationalExposureSection): element hl7:text występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.25
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.25']
Item: (plCdaHistoryOfOccupationalExposureSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.3.25']"
         id="tmp-r-0c283fc2-38b2-4ab6-a76d-6c8ae4bd6510">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.25-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaHistoryOfOccupationalExposureSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.25-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.3.25'">(plCdaHistoryOfOccupationalExposureSection): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.3.25'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.25-2018-06-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaHistoryOfOccupationalExposureSection): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.25
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']/hl7:id
Item: (plCdaHistoryOfOccupationalExposureSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']/hl7:id"
         id="tmp-r-128ebb63-fd48-4f94-b250-2ca6e6bb466c">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.25-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaHistoryOfOccupationalExposureSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.25
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']/hl7:code[(@code='10161-8' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (plCdaHistoryOfOccupationalExposureSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']/hl7:code[(@code='10161-8' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-9ef30b74-81e3-47fd-98c8-ac3f429303b1">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.25-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaHistoryOfOccupationalExposureSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.25-2018-06-30T000000.html"
              test="@nullFlavor or (@code='10161-8' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='History of occupational exposure' and @codeSystemName='LOINC')">(plCdaHistoryOfOccupationalExposureSection): Wartość elementu MUSI wynosić code '10161-8' codeSystem '2.16.840.1.113883.6.1' displayName='History of occupational exposure' codeSystemName='LOINC'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.25
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']/hl7:title
Item: (plCdaHistoryOfOccupationalExposureSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']/hl7:title"
         id="tmp-r-55d03839-ccb8-44be-bf24-32ea1665f841">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.25-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaHistoryOfOccupationalExposureSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ST", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.25-2018-06-30T000000.html"
              test="text()='Czynniki narażenia zawodowego'">(plCdaHistoryOfOccupationalExposureSection): zawartość elementu hl7:title MUSI wynosić ''Czynniki narażenia zawodowego''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.3.25
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']/hl7:text
Item: (plCdaHistoryOfOccupationalExposureSection)
-->

   <rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']]/hl7:section[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.3.25']/hl7:text"
         id="tmp-r-f6d7da6d-24ad-4b0f-98e2-3a3beb32b9c9">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.3.25-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='SD.TEXT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaHistoryOfOccupationalExposureSection): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:SD.TEXT", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="SD.TEXT"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
