<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.36
Name: [4] Pielęgniarska skala oceny trzymania moczu
Description: Szablon CDA dla pielęgniarskiej skali oceny trzymania moczu
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000">
   <title>[4] Pielęgniarska skala oceny trzymania moczu</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.36
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]
Item: (plCdaNursingUrinaryContinenceAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]"
         id="tmp-r-626a2e22-616a-42fd-8af0-6981dd339523">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36'])&gt;=1 and not(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/@nullFlavor)">(plCdaNursingUrinaryContinenceAssesmentEntry): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36'])&lt;=1">(plCdaNursingUrinaryContinenceAssesmentEntry): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.36
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']
Item: (plCdaNursingUrinaryContinenceAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']"
         id="tmp-r-e7333585-5a41-4fcc-85a4-53cefbaab8cd">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="string(@classCode)='OBS' or not(@classCode)">(plCdaNursingUrinaryContinenceAssesmentEntry): Wartość dla @classCode MUSI wynosić 'OBS'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="string(@moodCode)='EVN'">(plCdaNursingUrinaryContinenceAssesmentEntry): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaNursingUrinaryContinenceAssesmentEntry): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.36'] | self::hl7:id | self::hl7:code[@code='SNMOCZDO'][@code='SNMOCZDO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.2' and @codeSystemName='Słownik nazw skal ocen pielęgniarskich' and @displayName='ADL - Samodzielność pacjenta w zakresie podstawowych czynności życiowych'] | self::hl7:code[@code='SNMOCZSO'][@code='SNMOCZSO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.2' and @codeSystemName='Słownik nazw skal ocen pielęgniarskich' and @displayName='Skala trzymania moczu - stany ostre'] | self::hl7:text | self::hl7:statusCode[@code='completed'] | self::hl7:effectiveTime | self::hl7:value[@xsi:type='CD' and @code='10025686' and @codeSystem='2.16.840.1.113883.6.97' and @codeSystemName='ICNP' and @displayName='Urinary incontinence'] | self::hl7:value[@codeSystem='2.16.840.1.113883.6.97'])])">(plCdaNursingUrinaryContinenceAssesmentEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pielęgniarska skala oceny trzymania moczu" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.36'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.36']/@nullFlavor)">(plCdaNursingUrinaryContinenceAssesmentEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.36'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.36'])&lt;=1">(plCdaNursingUrinaryContinenceAssesmentEntry): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.36'] występuje zbyt często [max 1x].</assert>
      <let name="elmcount"
           value="count(hl7:code[@code='SNMOCZDO']|hl7:code[@code='SNMOCZSO'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="$elmcount&lt;=1">(plCdaNursingUrinaryContinenceAssesmentEntry): wybór (hl7:code[@code='SNMOCZDO'] lub hl7:code[@code='SNMOCZSO']) zawiera zbyt dużo elementów [min 1x]</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="count(hl7:code[@code='SNMOCZDO'])&lt;=1">(plCdaNursingUrinaryContinenceAssesmentEntry): element hl7:code[@code='SNMOCZDO'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="count(hl7:code[@code='SNMOCZSO'])&lt;=1">(plCdaNursingUrinaryContinenceAssesmentEntry): element hl7:code[@code='SNMOCZSO'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaNursingUrinaryContinenceAssesmentEntry): element hl7:text występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="count(hl7:statusCode)&lt;=1">(plCdaNursingUrinaryContinenceAssesmentEntry): element hl7:statusCode występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(plCdaNursingUrinaryContinenceAssesmentEntry): element hl7:effectiveTime występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(plCdaNursingUrinaryContinenceAssesmentEntry): element hl7:value jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="count(hl7:value)&lt;=1">(plCdaNursingUrinaryContinenceAssesmentEntry): element hl7:value występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="count(hl7:value)&lt;=1">(plCdaNursingUrinaryContinenceAssesmentEntry): element hl7:value występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.36
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.36']
Item: (plCdaNursingUrinaryContinenceAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.36']"
         id="tmp-r-caf8f2ad-be81-4eff-8c46-6a184909dcb8">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingUrinaryContinenceAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.36'">(plCdaNursingUrinaryContinenceAssesmentEntry): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.36'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.36
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:id
Item: (plCdaNursingUrinaryContinenceAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:id"
         id="tmp-r-cc0c582c-58ca-4ad0-822b-345ffa739506">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingUrinaryContinenceAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.36
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:code[@code='SNMOCZDO']
Item: (plCdaNursingUrinaryContinenceAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:code[@code='SNMOCZDO']"
         id="tmp-r-f7d487f6-c981-4076-b9d5-7c49f4fe0bb9">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingUrinaryContinenceAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="@nullFlavor or (@code='SNMOCZDO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.2' and @displayName='ADL - Samodzielność pacjenta w zakresie podstawowych czynności życiowych' and @codeSystemName='Słownik nazw skal ocen pielęgniarskich')">(plCdaNursingUrinaryContinenceAssesmentEntry): Wartość elementu MUSI wynosić code 'SNMOCZDO' codeSystem '2.16.840.1.113883.3.4424.13.5.2' displayName='ADL - Samodzielność pacjenta w zakresie podstawowych czynności życiowych' codeSystemName='Słownik nazw skal ocen pielęgniarskich'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.36
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:code[@code='SNMOCZSO']
Item: (plCdaNursingUrinaryContinenceAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:code[@code='SNMOCZSO']"
         id="tmp-r-e1d2c224-e7fe-491c-9f0a-c5a71385eb7e">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingUrinaryContinenceAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="@nullFlavor or (@code='SNMOCZSO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.2' and @displayName='Skala trzymania moczu - stany ostre' and @codeSystemName='Słownik nazw skal ocen pielęgniarskich')">(plCdaNursingUrinaryContinenceAssesmentEntry): Wartość elementu MUSI wynosić code 'SNMOCZSO' codeSystem '2.16.840.1.113883.3.4424.13.5.2' displayName='Skala trzymania moczu - stany ostre' codeSystemName='Słownik nazw skal ocen pielęgniarskich'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.36
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:statusCode
Item: (plCdaNursingUrinaryContinenceAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:statusCode"
         id="tmp-r-804953b0-9ae9-4ad2-9d09-e90d9ee268b2">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingUrinaryContinenceAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="@nullFlavor or (@code='completed')">(plCdaNursingUrinaryContinenceAssesmentEntry): Wartość elementu MUSI wynosić code 'completed'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.36
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:effectiveTime
Item: (plCdaNursingUrinaryContinenceAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:effectiveTime"
         id="tmp-r-93a170ca-ac53-4811-ba1d-1d1f90194645">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='IVL_TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingUrinaryContinenceAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:IVL_TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.36
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:value
Item: (plCdaNursingUrinaryContinenceAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:value"
         id="tmp-r-b03a4e1d-1338-4ed9-b9de-0c4c66085660">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingUrinaryContinenceAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3')">(plCdaNursingUrinaryContinenceAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="string(@code)='10025686'">(plCdaNursingUrinaryContinenceAssesmentEntry): Wartość dla @code MUSI wynosić '10025686'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="not(@code) or (string-length(@code)&gt;0 and not(matches(@code,'\s')))">(plCdaNursingUrinaryContinenceAssesmentEntry): Atrybut @code MUSI być typu 'cs'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="string(@codeSystem)='2.16.840.1.113883.6.97'">(plCdaNursingUrinaryContinenceAssesmentEntry): Wartość dla @codeSystem MUSI wynosić '2.16.840.1.113883.6.97'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="not(@codeSystem) or matches(@codeSystem,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaNursingUrinaryContinenceAssesmentEntry): Atrybut @codeSystem MUSI być typu 'oid'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="string(@codeSystemName)='ICNP'">(plCdaNursingUrinaryContinenceAssesmentEntry): Wartość dla @codeSystemName MUSI wynosić 'ICNP'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="not(@codeSystemName) or string-length(@codeSystemName)&gt;0">(plCdaNursingUrinaryContinenceAssesmentEntry): Atrybut @codeSystemName MUSI być typu 'st'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="string(@displayName)='Urinary incontinence'">(plCdaNursingUrinaryContinenceAssesmentEntry): Wartość dla @displayName MUSI wynosić 'Urinary incontinence'.</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="not(@displayName) or string-length(@displayName)&gt;0">(plCdaNursingUrinaryContinenceAssesmentEntry): Atrybut @displayName MUSI być typu 'st'</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="not(./*[not(self::hl7:qualifier[hl7:name/@code = 'NMOCZDO'] | self::hl7:qualifier[hl7:name/@code = 'NMOCZSO'])])">(plCdaNursingUrinaryContinenceAssesmentEntry): We fragmencie dokumentu zgodnym z szablonem "[4] Pielęgniarska skala oceny trzymania moczu" występują niedozwolone elementy.</assert>
      <let name="elmcount"
           value="count(hl7:qualifier[hl7:name/@code = 'NMOCZDO']|hl7:qualifier[hl7:name/@code = 'NMOCZSO'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="$elmcount&gt;=1">(plCdaNursingUrinaryContinenceAssesmentEntry): wybór (hl7:qualifier[hl7:name/@code = 'NMOCZDO'] lub hl7:qualifier[hl7:name/@code = 'NMOCZSO']) zawiera zbyt mało elementów [min 1x]</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="$elmcount&lt;=1">(plCdaNursingUrinaryContinenceAssesmentEntry): wybór (hl7:qualifier[hl7:name/@code = 'NMOCZDO'] lub hl7:qualifier[hl7:name/@code = 'NMOCZSO']) zawiera zbyt dużo elementów [min 1x]</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="count(hl7:qualifier[hl7:name/@code = 'NMOCZDO'])&lt;=1">(plCdaNursingUrinaryContinenceAssesmentEntry): element hl7:qualifier[hl7:name/@code = 'NMOCZDO'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="count(hl7:qualifier[hl7:name/@code = 'NMOCZSO'])&lt;=1">(plCdaNursingUrinaryContinenceAssesmentEntry): element hl7:qualifier[hl7:name/@code = 'NMOCZSO'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.36
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:value/hl7:qualifier[hl7:name/@code = 'NMOCZDO']
Item: (plCdaNursingUrinaryContinenceAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:value/hl7:qualifier[hl7:name/@code = 'NMOCZDO']"
         id="tmp-r-db6c7487-7783-45aa-bddc-d0a9e859b933">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="count(hl7:name[(@code='NMOCZDO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.2')])&gt;=1 and not(hl7:name[(@code='NMOCZDO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.2')]/@nullFlavor)">(plCdaNursingUrinaryContinenceAssesmentEntry): element hl7:name[(@code='NMOCZDO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.2')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="count(hl7:name[(@code='NMOCZDO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.2')])&lt;=1">(plCdaNursingUrinaryContinenceAssesmentEntry): element hl7:name[(@code='NMOCZDO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.2')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="count(hl7:value)&lt;=1">(plCdaNursingUrinaryContinenceAssesmentEntry): element hl7:value występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.36
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:value/hl7:qualifier[hl7:name/@code = 'NMOCZDO']/hl7:name[(@code='NMOCZDO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.2')]
Item: (plCdaNursingUrinaryContinenceAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:value/hl7:qualifier[hl7:name/@code = 'NMOCZDO']/hl7:name[(@code='NMOCZDO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.2')]"
         id="tmp-r-a5da8dd3-df28-476a-bb20-1bcb9d1ec265">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="@nullFlavor or (@code='NMOCZDO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.2' and @displayName='Stopień trzymania moczu' and @codeSystemName='Słownik wartości dla skali trzymania moczu w opiece domowej')">(plCdaNursingUrinaryContinenceAssesmentEntry): Wartość elementu MUSI wynosić code 'NMOCZDO' codeSystem '2.16.840.1.113883.3.4424.13.5.3.2' displayName='Stopień trzymania moczu' codeSystemName='Słownik wartości dla skali trzymania moczu w opiece domowej'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.36
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:value/hl7:qualifier[hl7:name/@code = 'NMOCZDO']/hl7:value
Item: (plCdaNursingUrinaryContinenceAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:value/hl7:qualifier[hl7:name/@code = 'NMOCZDO']/hl7:value"
         id="tmp-r-dc098246-3970-482b-9be3-e78c0162d6a2">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.56-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaNursingUrinaryContinenceAssesmentEntry): Wartość elementu MUSI wynosić StopienNietrzymaniaMoczuSo Stopień trzymania moczu w stanach ostrych (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.56-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaNursingUrinaryContinenceAssesmentEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości StopienNietrzymaniaMoczuSo Stopień trzymania moczu w stanach ostrych (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.36
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:value/hl7:qualifier[hl7:name/@code = 'NMOCZSO']
Item: (plCdaNursingUrinaryContinenceAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:value/hl7:qualifier[hl7:name/@code = 'NMOCZSO']"
         id="tmp-r-d0869578-bcef-433a-b305-6d8e2e1b7143">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="count(hl7:name[(@code='NMOCZSO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.3')])&gt;=1 and not(hl7:name[(@code='NMOCZSO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.3')]/@nullFlavor)">(plCdaNursingUrinaryContinenceAssesmentEntry): element hl7:name[(@code='NMOCZSO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.3')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="count(hl7:name[(@code='NMOCZSO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.3')])&lt;=1">(plCdaNursingUrinaryContinenceAssesmentEntry): element hl7:name[(@code='NMOCZSO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.3')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="count(hl7:value)&lt;=1">(plCdaNursingUrinaryContinenceAssesmentEntry): element hl7:value występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.36
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:value/hl7:qualifier[hl7:name/@code = 'NMOCZSO']/hl7:name[(@code='NMOCZSO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.3')]
Item: (plCdaNursingUrinaryContinenceAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:value/hl7:qualifier[hl7:name/@code = 'NMOCZSO']/hl7:name[(@code='NMOCZSO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.3')]"
         id="tmp-r-85284bd5-4dbb-49dc-93fa-18f50b647edc">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="@nullFlavor or (@code='NMOCZSO' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.3' and @displayName='Stopień trzymania moczu' and @codeSystemName='Słownik wartości dla skali trzymania moczu w stanach ostrych')">(plCdaNursingUrinaryContinenceAssesmentEntry): Wartość elementu MUSI wynosić code 'NMOCZSO' codeSystem '2.16.840.1.113883.3.4424.13.5.3.3' displayName='Stopień trzymania moczu' codeSystemName='Słownik wartości dla skali trzymania moczu w stanach ostrych'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.36
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:value/hl7:qualifier[hl7:name/@code = 'NMOCZSO']/hl7:value
Item: (plCdaNursingUrinaryContinenceAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:value/hl7:qualifier[hl7:name/@code = 'NMOCZSO']/hl7:value"
         id="tmp-r-25ab64c2-e834-430d-af5c-9cd8f36e1301">
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.56-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaNursingUrinaryContinenceAssesmentEntry): Wartość elementu MUSI wynosić StopienNietrzymaniaMoczuSo Stopień trzymania moczu w stanach ostrych (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.56-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaNursingUrinaryContinenceAssesmentEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości StopienNietrzymaniaMoczuSo Stopień trzymania moczu w stanach ostrych (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.36
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:value
Item: (plCdaNursingUrinaryContinenceAssesmentEntry)
-->

   <rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.36']/hl7:value"
         id="tmp-r-25b9a51a-6d84-4d3e-94fd-dfe4e0dbc850">
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaNursingUrinaryContinenceAssesmentEntry): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.73-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaNursingUrinaryContinenceAssesmentEntry): Wartość elementu MUSI wynosić CewnikUrostomia Cewnik lub urostomia (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.73-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://www.csioz.gov.pl/HL7ENG/pl-cda-html-en-US/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.36-2018-06-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaNursingUrinaryContinenceAssesmentEntry): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości CewnikUrostomia Cewnik lub urostomia (DYNAMICZNE)</assert>
   </rule>
</pattern>
